Loading...
Searching...
No Matches
XrdSecProtocolunix.cc File Reference
`#include <unistd.h>`
`#include <cctype>`
`#include <cerrno>`
`#include <cstdlib>`
`#include <strings.h>`
`#include <sys/types.h>`
`#include "XrdVersion.hh"`
`#include "XrdNet/XrdNetAddrInfo.hh"`
`#include "XrdOuc/XrdOucErrInfo.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "XrdSec/XrdSecInterface.hh"`
Include dependency graph for XrdSecProtocolunix.cc:

Go to the source code of this file.

## Classes

class | XrdSecProtocolunix

## Functions

char * | XrdSecProtocolunixInit (const char mode, const char *parms, XrdOucErrInfo *erp)
XrdSecProtocol * | XrdSecProtocolunixObject (const char mode, const char *hostname, XrdNetAddrInfo &endPoint, const char *parms, XrdOucErrInfo *erp)
| XrdVERSIONINFO (XrdSecProtocolunixObject, secunix)

## Function Documentation

## XrdSecProtocolunixInit()

char * XrdSecProtocolunixInit | ( | const char | mode,
|  | const char * | parms,
|  | XrdOucErrInfo * | erp )

Definition at line 183 of file XrdSecProtocolunix.cc.

{
return (char *)"";
}

## XrdSecProtocolunixObject()

XrdSecProtocol * XrdSecProtocolunixObject | ( | const char | mode,
|  | const char * | hostname,
|  | XrdNetAddrInfo & | endPoint,
|  | const char * | parms,
|  | XrdOucErrInfo * | erp )

Definition at line 199 of file XrdSecProtocolunix.cc.

{
XrdSecProtocolunix *prot;
// Return a new protocol object
//
if (!(prot = new XrdSecProtocolunix(hostname, endPoint)))
{const char *msg = "Seckunix: Insufficient memory for protocol.";
if (erp) erp->setErrInfo(ENOMEM, msg);
else std::cerr <<msg <<std::endl;
return (XrdSecProtocol *)0;
}
// All done
//
return prot;
}
XrdOucErrInfo::setErrInfo
int setErrInfo(int code, const char *emsg)
Definition XrdOucErrInfo.hh:147
XrdSecProtocol
Definition XrdSecInterface.hh:131
XrdSecProtocolunix
Definition XrdSecProtocolunix.cc:52

References XrdOucErrInfo::setErrInfo().

Referenced by XrdVERSIONINFO().

Here is the call graph for this function:
Here is the caller graph for this function:

## XrdVERSIONINFO()

XrdVERSIONINFO | ( | XrdSecProtocolunixObject | ,
|  | secunix | )

References XrdSecProtocolunixObject().

Here is the call graph for this function: